> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/configuration-ap-is/admin/get-all-my-property-configurations/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get all my property configurations GET https://api.propexo.com/v1/admin/integrations/{integration_id}/properties Get all my property configurations Reference: https://docs.propexo.com/api-reference/configuration-ap-is/admin/get-all-my-property-configurations ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `integration_id` (string, required) — The ID of the resource. ### Query parameters - `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc - `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results - `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query ## Response ### 200 Successful response - `meta` (ResponseMeta, required) - `results` (list of V1AdminIntegrationsIntegrationIdPropertiesGetOutputResultsItems, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### ResponseMeta - `orderBy` (list of ResponseMetaOrderByItems, required) - `offset` (integer, optional) — The offset of the first result - `limit` (integer, optional) — The number of results to return - `hasMore` (boolean, optional, nullable) — Whether there are more results - `total` (integer, optional) — The total number of results ### V1AdminIntegrationsIntegrationIdPropertiesGetOutputResultsItems - `id` (string, required) — ID - `created_at` (string, required) — The date record first entered Propexo - `integration_id` (string, required) — The Propexo unique identifier for the integration - `property_id` (string, required) — The Propexo unique identifier for the property - `enabled` (boolean, required) — Whether the property is enabled and will have data ingested ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### ResponseMetaOrderByItems ## Examples **Request** ```json {} ``` **Response** ```json { "meta": { "orderBy": [ {} ], "offset": 0, "limit": 100, "hasMore": true, "total": 1000 }, "results": [ { "id": "propconf-9f8b7c6d5e4a3b2c1d0e", "created_at": "2024-05-20T10:15:30Z", "integration_id": "intg-1234567890abcdef", "property_id": "prop-abcdef1234567890", "enabled": true } ] } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/admin/integrations/integration_id/properties" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/admin/integrations/integration_id/properties'; const options = { method: 'GET', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/admin/integrations/integration_id/properties" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/admin/integrations/integration_id/properties") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/admin/integrations/integration_id/properties") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/admin/integrations/integration_id/properties', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/admin/integrations/integration_id/properties"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/admin/integrations/integration_id/properties")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```